package com.philisense.www.license;

import java.util.*;

import com.philisense.www.utils.*;

import java.text.*;

public class Resources
{
    private static final String CLASS_NAME;
    private static final ResourceBundle resources;
    
    public static String getString(final String s) {
        return Resources.resources.getString(s);
    }
    
    public static String getString(final String s, final Object[] array) {
        return MessageFormat.format(getString(s), array);
    }
    
    public static String getString(final String s, final Object o) {
        return MessageFormat.format(getString(s), o);
    }
    
    protected Resources() {
    }
    
    static {
        CLASS_NAME = new ObfuscatedString(new long[] {0x5131519C6E074EC0L, 0xFB24FA2ED6A1512FL, 0x994C50A41BA27FDDL, 0x5682A6F47260EC91L, 0x26AA6B8088942192L, 0xF0AECE54C908E3B0L}).toString();        
		Locale locale =  new Locale("zh","CN");
        resources = ResourceBundle.getBundle(Resources.CLASS_NAME,locale);
    }
}
